[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[eclipse-dev] Support for JUnit 4 in the Eclipse test framework


If you are using the Eclipse platform's test framework for running your automated JUnit tests, please read on for important details about changes coming in the Helios M4 milestone.

The Eclipse test framework has had a long-standing request to add support for running with JUnit version 4. See bug 153429 with 40 votes and 75 people on the CC list to get an idea of the interest in this change. After a great deal of work by the JDT, Platform Releng, and Equinox teams, this support is coming in the Helios release. Unfortunately it was not possible to implement this enhancement in a completely transparent way for clients of the Eclipse test framework. For most clients migration to JUnit4 will be as simple as changing your test bundles' dependency on org.junit to include JUnit 4.x in its version range. We are recommending setting your dependency on org.junit to a range of "3.8.1", which encompasses all versions of JUnit shipped by the platform since the Callisto (June 2006) release.

For complete details on the steps required to transition to using JUnit4 or to continue using JUnit3, please see:

http://wiki.eclipse.org/Eclipse/Testing/JUnit4_Changes

Comments and further feedback are welcome in the bug report:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=153429

John